package com.flyer.foster.config.fastjson;


import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@Data
@ConfigurationProperties(prefix = FastJsonProperties.PREFIX)
public class FastJsonProperties {

    public static final String PREFIX = "fastboot.fastjson";

    private String dateFormat = "yyyy-MM-dd HH:mm:ss";

    private Boolean desensitize = true;
}
